# SourcePath: dosfstools/20061117rel
Summary: Create an MS-DOS file system under Linux
Name: sony-target-rel-dosfstools
%define pkgname %{sony_target_config}-rel-dosfstools
Version: 2.11
Release: 010501
License: GPL
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Source0: dosfstools-2.11.src.tar.gz
Patch1: dosfstools-2.11-dosfsckYoption.patch
Patch2: dosfstools-sslibc.patch
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_cross_target_dir}

%description
The mkdosfs is used to create an MS-DOS file system under Linux.

%package -n %{pkgname}
Summary: Create an MS-DOS file system under Linuxk
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
The mkdosfs is used to create an MS-DOS file system under Linux.

%prep
%setup -q -n dosfstools-%{version}

%patch1 -p1

# Patch to make build using sslibc
%if "%{sony_target_lib_name}" == "sslibc"
%patch2 -p1
%endif


%build
%if "%{sony_target_lib_name}" == "glibc"
%sony_target_dev_setup
%else
%sony_target_rel_setup
%endif
make CC=$CC

%install
%sony_target_rel_setup
rm -rf %{buildroot}

make PREFIX=%{buildroot}%{sony_cross_target_dir} install

rm -rf %{buildroot}%{sony_cross_target_dir}/usr 

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_cross_target_dir}/sbin/dosfsck
%{sony_cross_target_dir}/sbin/fsck.msdos
%{sony_cross_target_dir}/sbin/fsck.vfat
%{sony_cross_target_dir}/sbin/mkdosfs
%{sony_cross_target_dir}/sbin/mkfs.msdos
%{sony_cross_target_dir}/sbin/mkfs.vfat

%changelog
* Fri Nov 17 2006 Sony Corporation
- new upstream version (2.11).

* Wed Apr 5 2006 Sony Corporation
- add sslibc build patch.

* Tue Apr 26 2005 Sony Corporation
- include <asm/types.h>

* Tue Mar 8 2005 Sony Corporation
- Initial build.

